﻿<!DOCTYPE html>
<html>

<head>
	<meta content="text/html; charset=utf-8" http-equiv="Content-Type">
	<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/css/bootstrap.min.css" rel="stylesheet"
		integrity="sha384-+0n0xVW2eSR5OomGNYDnhzAbDsOXxcvSN1TPprVMTNDbiYZCxYbOOl7+AMvyTG2x" crossorigin="anonymous">
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/js/bootstrap.bundle.min.js"
		integrity="sha384-gtEjrD/SeCtmISkJkNUaaKMoLD0//ElJ19smozuHV6z3Iehds+3Ulb9Bn9Plx0x4"
		crossorigin="anonymous"></script>
	<title>Untitled 1</title>
	<style type="text/css">
		* {
			margin: 0;
			padding: 0;
		}

		header,
		footer,
		.segunda div div div {

			border: 1px solid #000000;
			border-collapse: collapse;
		}

		header,
		footer {
			height: 100px;
			background-color: greenyellow;
		}

		.rojo {
			background-color: red;
			border: 1px solid #000000;
			border-collapse: collapse;

		}

		.rosa {
			background-color: pink;
		}

		.naranja {
			background-color: orange;
			height: 14em !important;
		}

		.azul {
			background-color: blue;
		}

		.segunda div div div {
			height: 100px;
		}

		@media screen and (max-width:576px) {
			.rojo {
				height: 100px;
			}
		}
	</style>
</head>

<body>
	<div class="container">
		<header class="row">
			<div class="col-12 justify-content-center align-items-center d-flex">Header</div>
		</header>
		<div class="row segunda">
			<div class="col-md-2 col-sm-3 rojo justify-content-center align-items-center d-flex">Aside</div>
			<div class="col-md-10 col-sm-9 principal">
				<div class="row">
					<div class="col-12 rosa justify-content-center align-items-center d-flex">Rosa</div>
				</div>
				<div class="row fnaranja">
					<div class="col-md-6 naranja justify-content-center align-items-center d-flex">Naranja</div>
					<div class="col-md-6 naranja justify-content-center align-items-center d-flex">Naranja</div>
				</div>
				<div class="row">
					<div class="col-6 col-md-2 col-sm-4 azul justify-content-center align-items-center d-flex">Azul
					</div>
					<div class="col-6 col-md-2 col-sm-4 azul justify-content-center align-items-center d-flex">Azul
					</div>
					<div class="col-6 col-md-4 col-sm-4 azul justify-content-center align-items-center d-flex">Azul
					</div>
					<div class="col-6 col-md-2 col-sm-4 azul justify-content-center align-items-center d-flex">Azul
					</div>
					<div class="col-6 col-md-2 col-sm-4 azul justify-content-center align-items-center d-flex">Azul
					</div>
					<div class="col-6 col-md-2 col-sm-4 azul justify-content-center align-items-center d-flex">Azul
					</div>
					<div class="col-6 col-md-2 col-sm-4 azul justify-content-center align-items-center d-flex">Azul
					</div>
					<div class="col-6 col-md-4 col-sm-4 azul justify-content-center align-items-center d-flex">Azul
					</div>
					<div class="col-6 col-md-2 col-sm-4 azul justify-content-center align-items-center d-flex">Azul
					</div>
					<div class="col-6 col-md-2 col-sm-4 azul justify-content-center align-items-center d-flex">Azul
					</div>
				</div>
			</div>
		</div>
		<footer class="row">
			<div class="col-12 justify-content-center align-items-center d-flex">Footer</div>
		</footer>
	</div>
</body>

</html>